> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a custom attribute details

> Get the details of a custom attribute in the account



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/application_swagger.json get /api/v1/accounts/{account_id}/custom_attribute_definitions/{id}
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
paths:
  /api/v1/accounts/{account_id}/custom_attribute_definitions/{id}:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - name: id
        in: path
        schema:
          type: number
        description: ID of the custom attribute
        required: true
    get:
      tags:
        - Custom Attributes
      summary: Get a custom attribute details
      description: Get the details of a custom attribute in the account
      operationId: get-details-of-a-single-custom-attribute
      parameters:
        - $ref: '#/components/parameters/account_id'
        - in: path
          name: id
          schema:
            type: integer
          required: true
          description: The ID of the custom attribute to be updated.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_attribute'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '404':
          description: The given attribute ID does not exist in the account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    custom_attribute:
      type: object
      properties:
        id:
          type: integer
          description: Identifier
        attribute_display_name:
          type: string
          description: Attribute display name
        attribute_display_type:
          type: string
          description: >-
            Attribute display type (text, number, currency, percent, link, date,
            list, checkbox)
        attribute_description:
          type: string
          description: Attribute description
        attribute_key:
          type: string
          description: Attribute unique key value
        regex_pattern:
          type: string
          description: Regex pattern
        regex_cue:
          type: string
          description: Regex cue
        attribute_values:
          type: string
          description: Attribute values
        attribute_model:
          type: string
          description: Attribute type(conversation_attribute/contact_attribute)
        default_value:
          type: string
          description: Attribute default value
        created_at:
          type: string
          description: The date and time when the custom attribute was created
        updated_at:
          type: string
          description: The date and time when the custom attribute was updated
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````